ranges-map.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Iter::Ranges::Map< I, M, strict >
| Range iterator for mapping ranges. More...
class | Gecode::Iter::Ranges::Map< I, M, false >
| Specialized mapping of ranges for non-strict maps. More...
class | Gecode::Iter::Ranges::Map< I, M, true >
| Specialized mapping of ranges for strict maps. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Ranges
| Range iterators.